com.sun.messaging.jms.management.server

## Class BrokerOperations

- java.lang.Object
- - com.sun.messaging.jms.management.server.BrokerOperations

-     public class BrokerOperations
      extends Object

  Class containing information on broker operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GET_PROPERTY` GetProperty operation.
    `static String` | `QUIESCE` Quiesce operation.
    `static String` | `RESET_METRICS` Reset metrics operation.
    `static String` | `RESTART` Restart operation.
    `static String` | `SHUTDOWN` Shutdown operation.
    `static String` | `TAKEOVER` Takeover operation.
    `static String` | `UNQUIESCE` Unquiesce operation.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET_PROPERTY

          public static final String GET_PROPERTY

      GetProperty operation.
      See Also:
        Constant Field Values

    - #### QUIESCE

          public static final String QUIESCE

      Quiesce operation.
      See Also:
        Constant Field Values

    - #### RESET_METRICS

          public static final String RESET_METRICS

      Reset metrics operation.
      See Also:
        Constant Field Values

    - #### RESTART

          public static final String RESTART

      Restart operation.
      See Also:
        Constant Field Values

    - #### SHUTDOWN

          public static final String SHUTDOWN

      Shutdown operation.
      See Also:
        Constant Field Values

    - #### TAKEOVER

          public static final String TAKEOVER

      Takeover operation.
      See Also:
        Constant Field Values

    - #### UNQUIESCE

          public static final String UNQUIESCE

      Unquiesce operation.
      See Also:
        Constant Field Values

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.